Tên miền tùy chỉnh
GET https://taoqr.vn/api/domains/available
curl --request GET \
--url 'https://taoqr.vn/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://taoqr.vn/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn Chuỗi | Chuỗi tìm kiếm. |
| search_by | Tùy chọn Chuỗi | Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: host. |
| datetime_field | Tùy chọn Chuỗi | Các giá trị được phép: datetime, last_datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc kết quả bắt đầu từ thời điểm này. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc kết quả cho đến thời điểm này. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Trường để sắp xếp kết quả theo. Các giá trị được phép là: domain_id, datetime, last_datetime, host. |
| order_type | Tùy chọn Chuỗi | Thứ tự sắp xếp của kết quả. Các giá trị cho phép là: ASC cho sắp xếp tăng dần, và DESC cho sắp xếp giảm dần. |
| page | Tùy chọn Số nguyên | Số trang mà bạn muốn kết quả từ. Mặc định là 1. |
| results_per_page | Tùy chọn Số nguyên | Bạn muốn bao nhiêu kết quả mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": 1,
"scheme": "Example",
"host": "Example",
"url": "https://example.com/",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-16 05:52:00"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://taoqr.vn/api/domains/available?page=1",
"last": "https://taoqr.vn/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://taoqr.vn/api/domains/available?page=1"
}
}
GET https://taoqr.vn/api/domains/
curl --request GET \
--url 'https://taoqr.vn/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://taoqr.vn/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn Chuỗi | Chuỗi tìm kiếm. |
| search_by | Tùy chọn Chuỗi | Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: host. |
| is_enabled | Tùy chọn Boolean | |
| datetime_field | Tùy chọn Chuỗi | Các giá trị được phép: datetime, last_datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc kết quả bắt đầu từ thời điểm này. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc kết quả cho đến thời điểm này. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Trường để sắp xếp kết quả theo. Các giá trị được phép là: domain_id, datetime, last_datetime, host. |
| order_type | Tùy chọn Chuỗi | Thứ tự sắp xếp của kết quả. Các giá trị cho phép là: ASC cho sắp xếp tăng dần, và DESC cho sắp xếp giảm dần. |
| page | Tùy chọn Số nguyên | Số trang mà bạn muốn kết quả từ. Mặc định là 1. |
| results_per_page | Tùy chọn Số nguyên | Bạn muốn bao nhiêu kết quả mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-16 05:52:00"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://taoqr.vn/api/domains?page=1",
"last": "https://taoqr.vn/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://taoqr.vn/api/domains?page=1"
}
}
GET https://taoqr.vn/api/domains/{domain_id}
curl --request GET \
--url 'https://taoqr.vn/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://taoqr.vn/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-16 05:52:00"
}
}
POST https://taoqr.vn/api/domains
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| host | Bắt buộc Chuỗi | - |
| custom_index_url | Tùy chọn Chuỗi | - |
| custom_not_found_url | Tùy chọn Chuỗi | - |
| scheme | Tùy chọn Chuỗi | - |
curl --request POST \
--url 'https://taoqr.vn/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://taoqr.vn/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-16 05:52:00"
}
}
POST https://taoqr.vn/api/domains/{domain_id}
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| host | Tùy chọn Chuỗi | - |
| custom_index_url | Tùy chọn Chuỗi | - |
| custom_not_found_url | Tùy chọn Chuỗi | - |
| scheme | Tùy chọn Chuỗi | - |
curl --request POST \
--url 'https://taoqr.vn/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://taoqr.vn/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-16 05:52:00"
}
}
DELETE https://taoqr.vn/api/domains/{domain_id}
curl --request DELETE \
--url 'https://taoqr.vn/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://taoqr.vn/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \